cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.projectEnvironment.retrieveWebhook();
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.project_environment.retrieve_webhook()
package com.example.usage;
import com.pipedream.api.BaseClient;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.projectEnvironment().retrieveWebhook();
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/webhook"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"url": "<string>",
"signing_key_set": true,
"created_at": 123,
"updated_at": 123
}
}{
"error": "Throttled"
}Get project environment webhook
Retrieve the webhook configured for a project environment
GET
/
v1
/
connect
/
{project_id}
/
webhook
cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.projectEnvironment.retrieveWebhook();
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.project_environment.retrieve_webhook()
package com.example.usage;
import com.pipedream.api.BaseClient;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.projectEnvironment().retrieveWebhook();
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/webhook"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"url": "<string>",
"signing_key_set": true,
"created_at": 123,
"updated_at": 123
}
}{
"error": "Throttled"
}Pipedream signs webhook emits for deployed triggers using HMAC-SHA256. See Validating signatures for details on how to verify webhook payloads.
Authorizations
A short-lived OAuth access token for server-side requests. Generate one via the Generate OAuth Token flow or automatically when initializing the SDK client.
Headers
The environment in which the server client is running
Available options:
development, production Path Parameters
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Response
webhook retrieved
Response received when retrieving a webhook
A webhook object
Show child attributes
Show child attributes
Was this page helpful?